<?php
$mod = 'admin';
require_once '../includes/common.php';
require_once './admin.class.php';


$apiData = adminClass::getApi($DB);

$title = '接口分配';
require_once './head.php';
?>
            <main id="main-container">
                <div class="content">
                    <div class="block">
                        <div class="block-header">
                            <h3 class="block-title"><?=$title?></h3>
                        </div>
                        <div class="block-content block-content-full">
                            <form method="POST">
                                <div class="row items-push">
                                    <div class="col-lg-12">
                                        <div class="form-group row">
                                            <label class="col-12">接口列表</label>
                                            <div class="col-12">
                                                <select name="ip" class="form-control text-primary font-size-sm">
													<?php foreach ($apiData as $value) { ?>
                                                    <option value="<?=$value['apiIp']?>"><?=$value['apiName']?> - <?=$value['apiIp']?></option>
													<?php } ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">用户名</label>
                                            <div class="col-12">
                                                <input type="text" name="userName" placeholder="请输入用户名" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label class="col-12">使用时长</label>
                                            <div class="col-12">
                                                <input type="text" name="useLength" placeholder="请输入使用时长" class="form-control text-primary font-size-sm" autocomplete="off">
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-12">
                                                <button type="submit" class="btn btn-primary btn-block">划拨</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://mumingk.cn/" target="_blank">美国高防服务器</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2018</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/vendor/layer/layer.js"></script>
    </body>
</html>
<script>
    $("form").submit(function (){
        var load = layer.msg('修改中，请稍后...',{icon:16,shade:0.8,time:false});

        var ip = $("select[name='ip']").val();
        var userName = $("input[name='userName']").val();
        var useLength = $("input[name='useLength']").val();

        if(ip.length < 1 || userName.length < 1){
            layer.alert('不可为空',{icon:2,shade:0.8});
            return false;
        }

        $.ajax({
            type:'POST',
            url:'/admin/ajax.php',
            data:{
                act:'apidis',
				userName:userName,
				ip:ip,
				useLength:useLength
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/admin/apilist.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
        return false;
    });
</script>