<?php
$mod = 'admin';
require_once '../includes/common.php';
require_once './admin.class.php';



$hostData = adminClass::getHost($DB);

$title = '主机列表';
require_once './head.php';
?>
            <main id="main-container">

                <!-- Page Content -->
                <div class="content">
                    <!-- Full Table -->
                    <div class="block">
                        <div class="block-header">
                            <h3 class="block-title"><?=$title?></h3>
                        </div>
                        <div class="block-content">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-vcenter table-hover table-sm">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>主机IP</th>
                                            <th>主机名称</th>
                                            <th>主机密码</th>
                                            <th>空间大小</th>
                                            <th>数据库大小</th>
                                            <th>开通用户</th>
                                            <th>主机状态</th>
                                            <th>操作</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    <?php foreach ($hostData as $value){ ?>
                                    <tr>
                                        <td><?=$value['id']?></td>
                                        <td><?=$value['hostIp']?></td>
                                        <td><?=$value['hostName']?></td>
                                        <td><?=$value['hostPwd']?></td>
                                        <td><?=$value['hostWebSize']?> MB</td>
                                        <td><?=$value['hostDbSize']?> MB</td>
                                        <td><?=$value['userName']?$value['userName']:'管理员';?></td>
                                        <td>
                                            <?php
                                                if(!$value['hostState']){
                                                    echo '<a href="javascript:;" onclick="hostState(\''.$value['hostName'].'\',\''.$value['hostIp'].'\',\'1\')" class="badge badge-success">正常</a>';
                                                }else{
                                                    echo '<a href="javascript:;" onclick="hostState(\''.$value['hostName'].'\',\''.$value['hostIp'].'\',\'0\')" class="badge badge-danger">非正常</a>';
                                                } 
                                            ?>
                                        </td>
                                        <td>
                                            <form style="display:inline;" action="http://<?=$value['hostIp']?>:3312/vhost/index.php?c=session&a=login" method="post" target="_blank"><input type="hidden" name="username" value="<?=$value['hostName']?>" /><input type="hidden" name="passwd" value="<?=$value['hostPwd']?>" /><button type="submit" class="btn badge badge-primary">登录</button></form>
                                            <a href="javascript:;" onclick="del('<?=$value['hostName']?>','<?=$value['hostIp']?>')" class="badge badge-danger">删除</a>
                                        </td>
                                    </tr>
                                    <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://mumingk.cn/" target="_blank">美国高防服务器</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2018</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/js/plugins/chart.js/Chart.bundle.min.js"></script>
        <script src="../assets/js/pages/be_pages_dashboard.min.js"></script>
        <script src="../assets/vendor/layer/layer.js"></script>
    </body>
</html>
<script>
    function hostState(hostName,hostIp,hostState){
        var load = layer.load('1',{shade:0.8,time:false});

        $.ajax({
            type:'POST',
            url:'/api/index.php',
            data:{
                act:'SuspendAccount',
                hostName:hostName,
                hostIp:hostIp,
                hostState:hostState,
                admin:'1'
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/admin/hostlist.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
    }
    function del(hostName,hostIp){
        layer.confirm('确定要删除吗？', function (){
            delApi(hostName,hostIp)
        });
    }
    function delApi(hostName,hostIp){
        var load = layer.load('1',{shade:0.8,time:false});

        $.ajax({
            type:'POST',
            url:'/api/index.php',
            data:{
                act:'TerminateAccount',
                hostName:hostName,
                hostIp:hostIp,
                admin:'1'
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/admin/hostlist.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
    }
</script>