<?php
$mod = 'user';
$notLogin = true;
require_once '../includes/common.php';
require_once './user.class.php';



if(isset($_GET['logout'])){
    unset($_SESSION['userName']);
    header('Location:/user/login.php');
}

if($isUserLogin)header('Location:/user');

if(!$conf['isUserReg'])Tips::error('管理员未开启此功能', '/');

$title = '用户注册';
require_once 'header.php';
?>
    <body>
        <div id="page-container">

            <main id="main-container">

                <!-- Page Content -->
                <div class="hero-static">
                    <div class="content">
                        <div class="row justify-content-center">
                            <div class="col-md-8 col-lg-6 col-xl-4">
                                <!-- Sign Up Block -->
                                <div class="block block-themed block-fx-shadow mb-0">
                                    <div class="block-header bg-success">
                                        <h3 class="block-title"><?=$title?></h3>
                                        <div class="block-options">
                                            <a class="btn-block-option" href="/user/login.php" data-toggle="tooltip" data-placement="left" title="用户登录">
                                                <i class="fa fa-sign-in-alt"></i>
                                            </a>
                                        </div>
                                    </div>
                                    <div class="block-content">
                                        <div class="p-sm-3 px-lg-4 py-lg-5">
                                            <h1 class="mb-2"><?=$conf['webName']?></h1>
                                            <p>欢迎您的加入！</p>
                                            <form>
                                                <div class="py-3">
                                                    <div class="form-group">
                                                        <input type="text" name="userName" class="form-control form-control-lg form-control-alt font-size-sm" placeholder="请输入账号" autocomplete="off">
                                                    </div>
                                                    <div class="form-group">
                                                        <input type="password" name="userPwd" class="form-control form-control-lg form-control-alt font-size-sm" placeholder="请输入密码">
                                                    </div>
                                                    <div class="form-group">
                                                        <input type="text" name="upUserId" class="form-control form-control-lg form-control-alt font-size-sm" placeholder="请输入推荐人ID(没有可留空)" autocomplete="off">
                                                    </div>
                                                    <div class="form-group">
                                                        <input type="text" name="userMail" class="form-control form-control-lg form-control-alt font-size-sm" placeholder="请输入邮箱" autocomplete="off">
                                                    </div>
													<?php if($conf['isMailReg']){ ?>
                                                    <div class="form-group">
                                                        <input type="text" name="yzm" class="form-control form-control-lg form-control-alt font-size-sm" placeholder="请输入验证码" autocomplete="off">
                                                    </div>
													<?php } ?>
                                                </div>
												<?php if($conf['isMailReg']){ ?>
                                                <div class="form-group row">
                                                    <div class="col-md-12 col-xl-12">
                                                        <button type="button" id="mail" class="btn btn-block btn-success">
                                                            发送验证码
                                                        </button>
                                                    </div>
                                                </div>
												<?php } ?>
                                                <div class="form-group row">
                                                    <div class="col-md-12 col-xl-12">
                                                        <button type="submit" class="btn btn-block btn-success">
                                                            <i class="fa fa-fw fa-plus mr-1"></i> 注册
                                                        </button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="content content-full font-size-sm text-muted text-center">
                        <strong><a href="http://mumingk.cn/" target="_blank">美国高防服务器</a></strong> &copy; <span data-toggle="year-copy">2018</span>
                    </div>
                </div>
            </main>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/js/plugins/bootstrap-notify/bootstrap-notify.min.js"></script>
    </body>
</html>
<script>
    $("form").submit(function (){
		var login = $("button[type='submit']");
        var userName = $("input[name='userName']").val();
        var userPwd = $("input[name='userPwd']").val();
        var upUserId = $("input[name='upUserId']").val();
        var userMail = $("input[name='userMail']").val();
		
		var isMailReg = <?=$conf['isMailReg']?>;

        if(userName.length < 1 || userPwd.length < 1){
            One.helpers('notify', {type: 'danger', message: '请确保必填项不为空', delay:2000});
            return false;
        }
		if(isMailReg){
			var yzm = $("input[name='yzm']").val();
			if(userMail.length < 1 || yzm.length < 1){
				One.helpers('notify', {type: 'danger', message: '请确保必填项不为空', delay:2000});
				return false;
			}
		}

		login.attr('disabled', 'true');
        One.helpers('notify', {type: 'warning', message: '正在注册，请稍后...', delay:2000});

        $.ajax({
            type:'POST',
            url:'/user/ajax.php',
            data:{
                act:'reg',
                userName:userName,
                userPwd:userPwd,
                upUserId:upUserId,
                userMail:userMail,
                yzm:yzm
            },
            dataType:'json',
            success:function (data){
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/user'
                    },1000);
                    One.helpers('notify', {type: 'success', message: data.msg, delay:2000});
                }else{
					login.removeAttr('disabled');
                    One.helpers('notify', {type: 'danger', message: data.msg, delay:2000});
                }
            }
        });
        return false;
    });

    $('#mail').click(function (){
		var login = $("button[type='submit']");
        var userMail = $("input[name='userMail']").val();

        if(userMail.length < 1){
            One.helpers('notify', {type: 'danger', message: '请确保必填项不为空', delay:2000});
            return false;
        }

		login.attr('disabled', 'true');
        One.helpers('notify', {type: 'warning', message: '发送中，请稍后...', delay:2000});

        $.ajax({
            type:'POST',
            url:'/user/ajax.php',
            data:{
                act:'sendMail',
                userMail:userMail
            },
            dataType:'json',
            success:function (data){
				login.removeAttr('disabled');
                if(data.code == 1){
                    One.helpers('notify', {type: 'success', message: data.msg, delay:2000});
                }else{
                    One.helpers('notify', {type: 'danger', message: data.msg, delay:2000});
                }
            }
        });
    });
</script>