<?php
$mod = 'user';
require_once '../includes/common.php';
require_once './user.class.php';



$apiData = userClass::getApi($DB, $_SESSION['userName']);

$title = '接口仓库';
require_once './head.php';
?>
            <main id="main-container">

                <!-- Page Content -->
                <div class="content">
                    <!-- Full Table -->
                    <div class="block">
                        <div class="block-header">
                            <h3 class="block-title"><?=$title?></h3>
                        </div>
                        <div class="block-content">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-vcenter table-hover table-sm">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>接口IP</th>
                                            <th>接口价格</th>
                                            <th>调用价格</th>
                                            <th>接口名称</th>
                                            <th>最大空间</th>
                                            <th>最大数据库</th>
                                            <th>最大流量</th>
                                            <th>使用次数</th>
                                            <th>是否启用</th>
                                            <th>接口状态</th>
                                            <th>操作</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    <?php foreach ($apiData as $value){ ?>
                                    <tr>
                                        <td><?=$value['id']?></td>
                                        <td><?=$value['apiIp']?></td>
                                        <td><?=$value['apiMoney']?></td>
                                        <td><?=$value['apiUseMoney']?></td>
                                        <td><?=$value['apiName']?></td>
                                        <td><?=$value['apiMixWeb']?> MB</td>
                                        <td><?=$value['apiMixDb']?> MB</td>
                                        <td><?=$value['apiMixFlow']?> GB</td>
                                        <td><?=$value['apiUse']?></td>
                                        <td>
                                            <?php
                                                if($value['isShow']){
                                                    echo '<button onclick="isShow(\''.$value['id'].'\')" class="btn badge badge-success">启用中</button>';
                                                }else{
                                                    echo '<button onclick="isShow(\''.$value['id'].'\')" class="btn badge badge-danger">未启用</button>';
                                                } 
                                            ?>
                                        </td>
                                        <td>
                                            <?php
                                                if(!$value['apiState']){
                                                    echo '<button onclick="verify(\''.$value['id'].'\')" class="btn badge badge-warning">未知</button>';
                                                }elseif($value['apiState'] == 1){
                                                    echo '<button onclick="verify(\''.$value['id'].'\')" class="btn badge badge-success">正常</button>';
                                                }else{
                                                    echo '<button onclick="verify(\''.$value['id'].'\')" class="btn badge badge-danger">异常</button>';
                                                }
                                            ?>
                                        </td>
                                        <td>
                                            <button onclick="edit('<?=$value['id']?>')" class="btn badge badge-primary">修改</button>
                                            <button onclick="del('<?=$value['id']?>')" class="btn badge badge-danger">删除</button>
                                        </td>
                                    </tr>
                                    <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://su.cyt520.cn/" target="_blank">美国高防服务器28元</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2018</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/vendor/layer/layer.js"></script>
    </body>
</html>
<script>
    function isShow(id){
        var load = layer.load('1',{shade:0.8,time:false});

        $.ajax({
            type:'POST',
            url:'/user/ajax.php',
            data:{
                act:'isShow',
                id:id
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/user/selfapi.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
    }
    function verify(id){
        var load = layer.load('1',{shade:0.8,time:false});

        $.ajax({
            type:'POST',
            url:'/user/ajax.php',
            data:{
                act:'verify',
                id:id
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/user/selfapi.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
    }
    function edit(id){
        layer.open({
            type: 2,
            title: '修改API(ID:'+id+')',
            shadeClose: true,
            shade: 0.8,
            area: ['90%', '90%'],
            content: '/user/apiinfo.php?id='+id
        }); 
    }
    function del(id){
        layer.confirm('确定要删除吗？', function (){
            delApi(id)
        });
    }
    function delApi(id){
        var load = layer.load('1',{shade:0.8,time:false});

        $.ajax({
            type:'POST',
            url:'/user/ajax.php',
            data:{
                act:'delApi',
                id:id
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/user/selfapi.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
    }
</script>